%define install_loc    %{_libdir}/eclipse/dropins/valgrind
%define qualifier      201206130106

%if 0%{?rhel} >= 6
ExclusiveArch: %{ix86} x86_64
%endif

# Package in %%{_libdir} but no native code so no debuginfo
%global debug_package %{nil}

Name:           eclipse-valgrind
Version:        1.0.0
Release:        1%{?dist}
Summary:        Valgrind Tools Integration for Eclipse

Group:          Development/Tools
License:        EPL
URL:            http://www.eclipse.org/linuxtools/projectPages/valgrind
Source0:        http://download.eclipse.org/linuxtools/%{version}-sources/linuxtools-valgrind-parent-%{version}-src.tar.bz2

#No CDT on ppc64
ExcludeArch: ppc64

BuildRequires: java-devel >= 1.5.0
BuildRequires: eclipse-cdt >= 1:7.0.0
BuildRequires: eclipse-linuxprofilingframework >= 1.0.0
BuildRequires: eclipse-pde >= 1:3.8.0
BuildRequires: swt-chart
Requires: eclipse-platform >= 1:3.8.0
Requires: eclipse-cdt >= 1:7.0.0
Requires: eclipse-linuxprofilingframework >= 1.0.0
Requires: valgrind >= 3.3.0
Requires: swt-chart

%description
This package for Eclipse allows users to launch their C/C++ Development Tools
projects using the Valgrind tool suite and presents the results in the IDE. 

%prep
%setup -q -n linuxtools-valgrind-parent-%{version}-src

mkdir orbitDeps
pushd orbitDeps
ln -s %{_javadir}/swt-chart.jar
popd

%build
eclipse-pdebuild \
    -f org.eclipse.linuxtools.valgrind \
    -d "cdt linuxprofilingframework emf rhino" \
	-o `pwd`/orbitDeps \
    -a "-DjavacSource=1.5 -DjavacTarget=1.5 -DforceContextQualifier=%{qualifier}"

%install
install -d -m 755 %{buildroot}%{install_loc}

%{__unzip} -q -d %{buildroot}%{install_loc} \
     build/rpmBuild/org.eclipse.linuxtools.valgrind.zip 

pushd %{buildroot}%{install_loc}/eclipse/plugins
rm -fr swt-chart.jar
ln -s %{_datadir}/java/swt-chart.jar


%files
%defattr(-,root,root,-)
%{install_loc}
%doc org.eclipse.linuxtools.valgrind/epl-v10.html

%changelog
* Tue Jul 10 2012  Jeff Johnston <jjohnstn@redhat.com> 1.0.0-1
- Update to Juno 1.0.0 release.

* Tue Apr 3 2012 Roland Grunberg <rgrunber@redhat.com> 0.10.0-1
- Update to 0.10.0.
- Remove eclipse-birt dependency and replace with swt-chart.
- Remove old BuildRoot and %%clean sections.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov 29 2011 Sami Wagiaalla <swagiaal@redhat.com> 0.9.0-2
- Update to 0.9.0 sources.

* Tue Nov 29 2011 Sami Wagiaalla <swagiaal@redhat.com> 0.7.0-1
- Add ExclusiveArch: %{ix86} x86_64. for rhel 7.

* Thu Jul 14 2011 Andrew Overholt <overholt@redhat.com> 0.7.0-1
- Linux Tools 0.8.0 (Valgrind feature 0.7.0) release.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Oct 8 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.6.1-1
- Upstream 0.6.1 release.

* Thu Jul 15 2010 Elliott Baron <ebaron@fedoraproject.org> 0.6.0-1
- Upstream 0.6.0 release.

* Mon Mar 22 2010 Alexander Kurtakov <akurtako@redhat.com> 0.5.0-2
- Match upstream qualifier.

* Fri Mar 19 2010 Roland Grunberg <rgrunber@redhat.com> 0.5.0-1
- Upstream 0.5.0 release.

* Wed Jan 13 2010 Andrew Overholt <overholt@redhat.com> 0.4.1-1
- Upstream 0.4.1 release.

* Tue Nov 3 2009 Elliott Baron <ebaron@fedoraproject.org> 0.4.0-0.1
- Pre-release of 0.4.0.

* Thu Aug 20 2009 Elliott Baron <ebaron@fedoraproject.org> 0.3.0-1
- Upstream 0.3.0 release.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 2 2009 Elliott Baron <ebaron@redhat.com> 0.2.1-2
- Fix Massif parsing for unknown symbols (Eclipse#281417).

* Mon Jun 8 2009 Elliott Baron <ebaron@redhat.com> 0.2.1-1
- Upstream 0.2.1 release.

* Thu May 21 2009 Elliott Baron <ebaron@redhat.com> 0.2.0-2
- Adding cachegrind plugin to fetch script.

* Wed May 13 2009 Elliott Baron <ebaron@redhat.com> 0.2.0-1
- Upstream 0.2.0 release.

* Wed Apr 8 2009 Elliott Baron <ebaron@redhat.com> 0.1.0-6
- Don't generate debuginfo (rhbz#494719).

* Mon Mar 23 2009 Elliott Baron <ebaron@redhat.com> 0.1.0-5
- Rebuild for changes in pdebuild to not ship p2 metadata.

* Fri Mar 13 2009 Elliott Baron <ebaron@redhat.com> 0.1.0-4
- Fixed Massif parser crashing on other locales.

* Fri Mar 6 2009 Elliott Baron <ebaron@redhat.com> 0.1.0-3
- Changing to arch dependent for CDT dependency.
- Setting minimum Valgrind requirement to 3.3.0. 

* Thu Feb 26 2009 Elliott Baron <ebaron@redhat.com> 0.1.0-2
- No eclipse-cdt on ppc64 -> ExcludeArch.

* Mon Feb 17 2009 Elliott Baron <ebaron@redhat.com> 0.1.0-1
- Initial package.
